jQuery(document).ready(function () {
	// MODULO COTIZACIONES
	$("#form_add_cotizaciones").submit(function (e) {
	//var tasa = $("#tasa").html();
		var gridData_ar = $("#tblar").bootstrapTable("getData");
		var postData_ar = JSON.stringify(gridData_ar);
		var gridData_arto = $("#tblarto").bootstrapTable("getData");
		var postData_arto = JSON.stringify(gridData_arto);
		e.preventDefault();
		var f = $(this);
		var formData = new FormData(
			document.getElementById("form_add_cotizaciones")
			);
	//formData.append("tasa", tasa);
		formData.append("data_ar", postData_ar);
		formData.append("data_arto", postData_arto);
		$.ajax({
			url: base_url + "cotizaciones/add_cotizaciones",
			type: "POST",
			dataType: "JSON",
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
			beforeSend: function () {
				$("#loader").removeClass("display-none");
			},
			success: function (r) {
				//var r = JSON.parse(respuesta);
				epsToast(
					"light",
					"dark",
					'<i class="bi bi-check"></i>',
					"" + r.success,
					"" + r.data.id,
					"",
					"" + r.mensaje
					);
				window.location.href = base_url + "clientes/clientes_show/" + r.data.id_cliente;
			},
			error: function (jqXHR, textStatus, error) {
				epsToast(
					'<i class="bi bi-x-octagon"></i>',
					jqXHR,
					jqXHR.status,
					jqXHR.responseText,
					""
					);
				clearTimeout();
				//setTimeout(function(){ location.reload(); }, 10000);
			},
			complete: function () {
				$("#loader").addClass("display-none");
			},
		});
	});

	$("#form_edit_cotizaciones").submit(function (e) {
		e.preventDefault();
		var f = $(this);
		var formData = new FormData(
			document.getElementById("form_edit_cotizaciones")
			);
		$.ajax({
			url: base_url + "cotizaciones/edit_cotizaciones",
			type: "POST",
			dataType: "JSON",
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
			beforeSend: function () {
				$("#loader").removeClass("display-none");
			},
			success: function (r) {
				//var r = JSON.parse(respuesta);
				epsToast(
					"light",
					"dark",
					'<i class="bi bi-check"></i>',
					"" + r.success,
					"" + r.data.id,
					"",
					"" + r.mensaje
					);
				window.location.href = base_url + "clientes/clientes_show/" + r.data.id_cliente;
			},
			error: function (jqXHR, textStatus, error) {
				epsToast(
					'<i class="bi bi-x-octagon"></i>',
					jqXHR,
					jqXHR.status,
					jqXHR.responseText,
					""
					);
				clearTimeout();
				//setTimeout(function(){ location.reload(); }, 10000);
			},
			complete: function () {
				$("#loader").addClass("display-none");
			},
		});
	});

	$("#btn_tbl_cotizaciones_edit").click(function () {
		var resultJSON = $("#tbl_cotizaciones").bootstrapTable("getSelections");
		var seleccion = $('input[name="rtbl_cotizaciones"]:checked').length;
		if (seleccion == 0) {
			epsToast(
				"danger",
				"white",
				'<i class="bi bi-hdd"></i>',
				"Seleccion",
				"Error",
				"Seleccione un item de la tabla.",
				"bottom"
				);
			return false;
		} else {
			var ref = resultJSON[0]["id"];
			$("#modal_cotizaciones_edit").modal("show");

			fill_input_cotizacion(resultJSON[0]);
		}
	});

	$("#btn_tbl_coti_nde").click(function () {
		var resultJSON = $("#tbl_cotizaciones").bootstrapTable("getSelections");
		var seleccion = $('input[name="rtbl_cotizaciones"]:checked').length;
		if (seleccion == 0) {
			epsToast(
				"danger",
				"white",
				'<i class="bi bi-hdd"></i>',
				"Seleccion",
				"Error",
				"Seleccione un item de la tabla.",
				"bottom"
				);
			return false;
		} else {
			var ref = resultJSON[0]["id"];
			window.location.href = base_url + "nde/coti_nde_add/" + ref;
		}
	});

	$("#btn_tbl_coti_compras").click(function () {
		var resultJSON = $("#tbl_cotizaciones").bootstrapTable("getSelections");
		var seleccion = $('input[name="rtbl_cotizaciones"]:checked').length;
		if (seleccion == 0) {
			epsToast(
				"danger",
				"white",
				'<i class="bi bi-hdd"></i>',
				"Seleccion",
				"Error",
				"Seleccione un item de la tabla.",
				"bottom"
				);
			return false;
		} else {
			var ref = resultJSON[0]["id"];
			window.location.href = base_url + "compras/coti_compras_add/" + ref;
		}
	});

	$("#btn_tbl_coti_ventas").click(function () {
		var resultJSON = $("#tbl_cotizaciones").bootstrapTable("getSelections");
		var seleccion = $('input[name="rtbl_cotizaciones"]:checked').length;
		if (seleccion == 0) {
			epsToast(
				"danger",
				"white",
				'<i class="bi bi-hdd"></i>',
				"Seleccion",
				"Error",
				"Seleccione un item de la tabla.",
				"bottom"
				);
			return false;
		} else {
			var ref = resultJSON[0]["id"];
			window.location.href = base_url + "ventas/coti_ventas_add/" + ref;
		}
	});

	$("#btn_tbl_cotizacion_print").click(function () {
		var resultJSON = $("#tbl_cotizaciones").bootstrapTable("getSelections");
		var seleccion = $('input[name="rtbl_cotizaciones"]:checked').length;
		if (seleccion == 0) {
			epsToast(
				"danger",
				"white",
				'<i class="bi bi-hdd"></i>',
				"Seleccion",
				"Error",
				"Seleccione un item de la tabla.",
				"bottom"
				);
			return false;
		} else {
			var ref = resultJSON[0]["id"];
			window.location.href = base_url + "imprimir/imprimir_cotizacion/" + ref;
		}
	});

	// MODULO NDE
	$("#form_add_nde").submit(function (e) {
	//var tasa = $("#tasa").html();
		var gridData_ar = $("#tblar").bootstrapTable("getData");
		var postData_ar = JSON.stringify(gridData_ar);
		var gridData_arto = $("#tblarto").bootstrapTable("getData");
		var postData_arto = JSON.stringify(gridData_arto);
		e.preventDefault();
		var f = $(this);
		var formData = new FormData(
			document.getElementById("form_add_nde")
			);
	//formData.append("tasa", tasa);
		formData.append("data_ar", postData_ar);
		formData.append("data_arto", postData_arto);
		$.ajax({
			url: base_url + "nde/add_nde",
			type: "POST",
			dataType: "JSON",
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
			beforeSend: function () {
				$("#loader").removeClass("display-none");
			},
			success: function (r) {
				//var r = JSON.parse(respuesta);
				epsToast(
					"light",
					"dark",
					'<i class="bi bi-check"></i>',
					"" + r.success,
					"" + r.data.id,
					"",
					"" + r.mensaje
					);
				window.location.href = base_url + "clientes/clientes_show/" + r.data.id_cliente;
			},
			error: function (jqXHR, textStatus, error) {
				epsToast(
					'<i class="bi bi-x-octagon"></i>',
					jqXHR,
					jqXHR.status,
					jqXHR.responseText,
					""
					);
				clearTimeout();
				//setTimeout(function(){ location.reload(); }, 10000);
			},
			complete: function () {
				$("#loader").addClass("display-none");
			},
		});
	});

	$("#btn_tbl_nde_print").click(function () {
		var resultJSON = $("#tbl_nde").bootstrapTable("getSelections");
		var seleccion = $('input[name="rtbl_nde"]:checked').length;
		if (seleccion == 0) {
			epsToast(
				"danger",
				"white",
				'<i class="bi bi-hdd"></i>',
				"Seleccion",
				"Error",
				"Seleccione un item de la tabla.",
				"bottom"
				);
			return false;
		} else {
			var ref = resultJSON[0]["id"];
			window.location.href = base_url + "imprimir/imprimir_nde/" + ref;
		}
	});

	// MODULO VENTAS
	$("#form_add_ventas").submit(function (e) {
	//var tasa = $("#tasa").html();
		var gridData_ar = $("#tblar").bootstrapTable("getData");
		var postData_ar = JSON.stringify(gridData_ar);
		var gridData_arto = $("#tblarto").bootstrapTable("getData");
		var postData_arto = JSON.stringify(gridData_arto);
		e.preventDefault();
		var f = $(this);
		var formData = new FormData(
			document.getElementById("form_add_ventas")
			);
	//formData.append("tasa", tasa);
		formData.append("data_ar", postData_ar);
		formData.append("data_arto", postData_arto);
		$.ajax({
			url: base_url + "ventas/add_ventas",
			type: "POST",
			dataType: "JSON",
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
			beforeSend: function () {
				$("#loader").removeClass("display-none");
			},
			success: function (r) {
				//var r = JSON.parse(respuesta);
				epsToast(
					"light",
					"dark",
					'<i class="bi bi-check"></i>',
					"" + r.success,
					"" + r.data.id,
					"",
					"" + r.mensaje
					);
				window.location.href = base_url + "clientes/clientes_show/" + r.data.id_cliente;
			},
			error: function (jqXHR, textStatus, error) {
				epsToast(
					'<i class="bi bi-x-octagon"></i>',
					jqXHR,
					jqXHR.status,
					jqXHR.responseText,
					""
					);
				clearTimeout();
				//setTimeout(function(){ location.reload(); }, 10000);
			},
			complete: function () {
				$("#loader").addClass("display-none");
			},
		});
	});

	// MODULO COMPRAS
	$("#form_add_compras").submit(function (e) {
		//var tasa = $("#tasa").html();
		var gridData_ar = $("#tblar").bootstrapTable("getData");
		var postData_ar = JSON.stringify(gridData_ar);
		var gridData_arto = $("#tblarto").bootstrapTable("getData");
		var postData_arto = JSON.stringify(gridData_arto);
		e.preventDefault();
		var f = $(this);
		var formData = new FormData(
			document.getElementById("form_add_compras")
			);
		//formData.append("tasa", tasa);
		formData.append("data_ar", postData_ar);
		formData.append("data_arto", postData_arto);
		$.ajax({
			url: base_url + "compras/add_compras",
			type: "POST",
			dataType: "JSON",
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
			beforeSend: function () {
				$("#loader").removeClass("display-none");
			},
			success: function (r) {
				//var r = JSON.parse(respuesta);
				epsToast(
					"light",
					"dark",
					'<i class="bi bi-check"></i>',
					"" + r.success,
					"" + r.data.id,
					"",
					"" + r.mensaje
					);
				window.location.href = base_url + "clientes/clientes_show/" + r.data.id_cliente;
			},
			error: function (jqXHR, textStatus, error) {
				epsToast(
					'<i class="bi bi-x-octagon"></i>',
					jqXHR,
					jqXHR.status,
					jqXHR.responseText,
					""
					);
				clearTimeout();
				//setTimeout(function(){ location.reload(); }, 10000);
			},
			complete: function () {
				$("#loader").addClass("display-none");
			},
		});
	});

	/* 
	MODULO CAJA
	*/
	$("#form_add_caja").submit(function (e) {
		e.preventDefault();
		var f = $(this);
		var formData = new FormData(
			document.getElementById("form_add_caja")
			);
		$.ajax({
			url: base_url + "caja/add_caja",
			type: "POST",
			dataType: "JSON",
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
			beforeSend: function () {
				$("#loader").removeClass("display-none");
			},
			success: function (r) {
				//var r = JSON.parse(respuesta);
				epsToast(
					"light",
					"dark",
					'<i class="bi bi-check"></i>',
					"" + r.success,
					"" + r.data.id,
					"",
					"" + r.mensaje
					);
				window.location.href = base_url + "clientes/clientes_show/" + r.data.id_cliente;
			},
			error: function (jqXHR, textStatus, error) {
				epsToast(
					'<i class="bi bi-x-octagon"></i>',
					jqXHR,
					jqXHR.status,
					jqXHR.responseText,
					""
					);
				clearTimeout();
				//setTimeout(function(){ location.reload(); }, 10000);
			},
			complete: function () {
				$("#loader").addClass("display-none");
			},
		});
	});
});

function editarCoti(coti) {
	let id = coti.getAttribute( "data-id");
	let id_cliente = coti.getAttribute( "data-id_cliente");
	let estado = coti.getAttribute( "data-estado");
	$('input[name="id_cotizacion"]').val(id);
	$('input[name="id_cliente"]').val(id_cliente);
	$("#estado").val(estado);
	$("#modal_cotizaciones_edit").modal("show");
}

function editarNde(coti) {
	let id = coti.getAttribute( "data-id");
	let id_cliente = coti.getAttribute( "data-id_cliente");
	let estado = coti.getAttribute( "data-estado");
	$('input[name="id_nde"]').val(id);
	$('input[name="id_cliente"]').val(id_cliente);
	$("#estado_nde").val(estado);
	$("#modal_nde_edit").modal("show");
}

//FILL INPUT COTIZACION
function fill_input_cotizacion(data) {
	$('input[name="id_cotizacion"]').val(data.id);
	$('input[name="id_orden"]').val(data.id_orden);
	$('input[name="id_cliente"]').val(data.id_cliente);
	$('input[name="id_cotizacion"]').val(data.id);
	$("#estado").val(data.estado);

	if (data.completado === "1") { 
		document.getElementById("check_completado").checked = true;} 
		else { document.getElementById("check_completado").checked = false;}
}